ALT Linux Team development discussions
 help / color / mirror / Atom feed
* [devel] mkbootdisk
@ 2001-02-08 19:22 Ivan Zakharyaschev
  2001-02-08 21:44 ` Dmitry V. Levin
  0 siblings, 1 reply; 4+ messages in thread
From: Ivan Zakharyaschev @ 2001-02-08 19:22 UTC (permalink / raw)
  To: devel

[-- Attachment #1: Type: TEXT/PLAIN, Size: 224 bytes --]

	Hello!

Опробовал mkbootdisk: поначалу он тихо падал (наверное, у меня необычная
конфигурация: партиции заданы метками в /etc/fstab). После небольших
исправлений (в приложенном патче) заработал.

-- 
Best regards,
	Ivan Z.

[-- Attachment #2: a patch for mkbootdisk-1.2.8-ipl5mdk --]
[-- Type: TEXT/PLAIN, Size: 879 bytes --]

--- /sbin/mkbootdisk.orig	Thu Feb  8 21:16:36 2001
+++ /sbin/mkbootdisk	Thu Feb  8 22:14:24 2001
@@ -16,6 +16,9 @@
 {
 	RETVAL=$?
 	trap '' EXIT
+	if [ "$RETVAL" != 0 ]; then 
+		echo 'Something odd happened while executing the script, exiting...'
+	fi
 	umount "$MOUNTDIR" &>/dev/null ||:
 	rm -rf "$MOUNTDIR"
 	exit $RETVAL
@@ -164,8 +167,8 @@
 	# whee, now we have to look through every partition looking for
 	# the thing called $rootlabel, which could be raid. Ick.
 
-	list=$(tail +3 /proc/partitions |awk '{ print $4 '} |grep '^md')
-	list="$list $(tail +3 /proc/partitions |awk '{ print $4 '} |grep -v '^md')"
+	list=$(tail +3 /proc/partitions |awk '{ print $4 }' |grep '^md' ||:)
+	list="$list $(tail +3 /proc/partitions |awk '{ print $4 }' |grep -v '^md' ||:)"
 	rootdev=
 	for dev in $list; do
 		if /sbin/tune2fs -l /dev/$dev &>/dev/null; then

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2001-02-08 22:55 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2001-02-08 19:22 [devel] mkbootdisk Ivan Zakharyaschev
2001-02-08 21:44 ` Dmitry V. Levin
2001-02-08 22:30   ` Ivan Zakharyaschev
2001-02-08 22:55     ` Dmitry V. Levin

ALT Linux Team development discussions

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://lore.altlinux.org/devel/0 devel/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 devel devel/ http://lore.altlinux.org/devel \
		devel@altlinux.org devel@altlinux.ru devel@lists.altlinux.org devel@lists.altlinux.ru devel@linux.iplabs.ru mandrake-russian@linuxteam.iplabs.ru sisyphus@linuxteam.iplabs.ru
	public-inbox-index devel

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://lore.altlinux.org/org.altlinux.lists.devel


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git